source: users/kimuraw/rb-gnome/README.port:rb-gnome @ 54466

Last change on this file since 54466 was 54466, checked in by kimuraw@…, 10 years ago

correct support status

  • Property svn:keywords set to Id
File size: 2.7 KB
Line 
1$Id: README.port:rb-gnome 54466 2009-07-28 05:39:20Z kimuraw@macports.org $
2
3= what's this port tree?
4
5ruby gnome2 (port:rb-gnome) contains too many modules.
6the purpose of this experimental port tree is to split rb-gnome into each
7sub-modules like rb-glib2, rb-gtk2, ...
8
9I've maintained these portfiles for Rabbit since 2007.
10
11[1] http://raa.ruby-lang.org/project/rabbit/
12
13== RUBY-GNOME2 Release contents and portfiles status
14
15=== ruby-gtk2
16
17  * rb-glib2         Ruby/GLib2: GLib 2.0.x or later
18  * rb-atk           Ruby/ATK: ATK 1.0.x or later
19  * rb-pango         Ruby/Pango: Pango 1.1.x or later
20  * rb-gtk2          Ruby/GdkPixbuf2: GTK+ 2.0.x or later
21  * rb-gtk2          Ruby/GTK2: GTK+ 2.0.x or later
22
23rb-gtk2 contains gdkpixbuf2 and gtk2.
24
25=== ruby-gnome2-all
26
27  * rb-gconf         Ruby/GConf2: GConf 2.0.x or later
28  * rb-libgnome      Ruby/GNOME2: libgnome-2.0.x, libgnomeui-2.0.x or later
29  * rb-gnomecanvas   Ruby/GnomeCanvas2: libgnomecanvas-2.0.x or later
30  * rb-gnomeprint    Ruby/GnomePrint: libgnomeprint-2.8.x or later
31  * rb-gnomeprintui  Ruby/GnomePrintUI: libgnomeprintui-2.6.x or later
32  * rb-gnomevfs      Ruby/GnomeVFS: GnomeVFS 2.0.x or later
33  * rb-gtkhtml       Ruby/GtkHtml2: GtkHtml2 2.0.x or later
34  * rb-gtkglext      Ruby/GtkGLExt: GtkGLExt 1.0.3 or later
35  * (NOT READY)      Ruby/GtkMozEmbed: GtkMozEmbed (Mozilla 1.7.x or FireFox-1.0.x or later)
36  * (NOT SUPPORT)    Ruby/GtkSourceView: GtkSourceView 1.0.1 or later
37  * rb-libart        Ruby/Libart2: libart_lgpl 2.3.12 or later
38  * rb-libglade2     Ruby/Libglade2: Libglade 2.0.x or later
39  * rb-gnome-panel   Ruby/PanelApplet: gnome-panel 2.6.0 or later (deprecated since 0.16.0)
40  * rb-rsvg          Ruby/RSVG: librsvg 2.8.0 or later
41
42  * rb-poppler       Ruby/Poppler is a Ruby binding of poppler-glib.
43
44GtkMozEmbed is not found in official ports.
45
46Ruby/GtkSourceView is binding for GtkSourceView 1.0.x. the latest version of
47port:gtksourceview is 1.8.5.
48
49=== Experimental / Incomplete:
50
51  * rb-gstreamer     Ruby/GStreamer: GStreamer 0.10.x or later
52  * rb-gtksourceview2 Ruby/GtkSourceView2: GtkSourceView 2.0.0 or later
53  * (NOT READY)      Ruby/GooCanvas: GooCanvas 0.8.0 or later
54
55=== Not available (removed since 0.16.0)
56
57  * (N/A)            Ruby/Libgda: libgda 1.0.3 or later
58
59== port dependencies
60
61  ...
62
63== ruby-gnome2-all-0.19.0 contents
64
65  AUTHORS      bonobo/        gnome/          gtk/             libglade/
66  COPYING.LIB  bonoboui/      gnomecanvas/    gtkglext/        panel-applet/
67  ChangeLog    exec_make.rb   gnomeprint/     gtkhtml2/        pango/
68  NEWS         extconf.rb     gnomeprintui/   gtkmozembed/     poppler/
69  README       gconf/         gnomevfs/       gtksourceview/   rsvg/
70  Rakefile     gdkpixbuf/     goocanvas/      gtksourceview2/  run-test.rb*
71  atk/         glib/          gstreamer/      libart/          vte/
72
Note: See TracBrowser for help on using the repository browser.